RDKit::MolStandardize::LargestFragmentChooser::Largest Struct Reference

`#include <Fragment.h>`

## Public Member Functions

| Largest ()
| Largest (std::string &smiles, const boost::shared_ptr< ROMol > &fragment, unsigned int &numatoms, double &weight, bool &organic)

## Public Attributes

std::string | Smiles
boost::shared_ptr< ROMol > | Fragment
unsigned int | NumAtoms
double | Weight
bool | Organic

## Detailed Description

Definition at line 67 of file Fragment.h.

## Constructor & Destructor Documentation

## Largest() [1/2]

RDKit::MolStandardize::LargestFragmentChooser::Largest::Largest | ( |  | ) |

## Largest() [2/2]

RDKit::MolStandardize::LargestFragmentChooser::Largest::Largest | ( | std::string & | smiles,
|  | const boost::shared_ptr< ROMol > & | fragment,
|  | unsigned int & | numatoms,
|  | double & | weight,
|  | bool & | organic
| ) |  |

## Member Data Documentation

## Fragment

boost::shared_ptr<ROMol> RDKit::MolStandardize::LargestFragmentChooser::Largest::Fragment

Definition at line 72 of file Fragment.h.

## NumAtoms

unsigned int RDKit::MolStandardize::LargestFragmentChooser::Largest::NumAtoms

Definition at line 73 of file Fragment.h.

## Organic

bool RDKit::MolStandardize::LargestFragmentChooser::Largest::Organic

Definition at line 75 of file Fragment.h.

## Smiles

std::string RDKit::MolStandardize::LargestFragmentChooser::Largest::Smiles

Definition at line 71 of file Fragment.h.

## Weight

double RDKit::MolStandardize::LargestFragmentChooser::Largest::Weight

Definition at line 74 of file Fragment.h.

The documentation for this struct was generated from the following file:

- Fragment.h